/* museeq - a Qt client to museekd
 *
 * Copyright (C) 2003-2004 Hyriand <hyriand@thegraveyard.org>
 * Copyright 2008 little blue poney <lbponey@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "transferlistitemprogress.h"
#include <QApplication>
#include <QModelIndex>

TransferListItemProgress::TransferListItemProgress( QObject* parent ) : QItemDelegate( parent )
{

}

void TransferListItemProgress::paint( QPainter *painter, const QStyleOptionViewItem &option,
                                    const QModelIndex &index ) const
{
    QStyleOptionProgressBarV2 bar;
    bar.rect = option.rect;
    bar.minimum = 0;
    bar.maximum = 1000;
    bar.progress = index.model()->data( index, Qt::DisplayRole ).toInt();
    bar.text = QString::number(index.model()->data( index, Qt::DisplayRole ).toInt()/10) + "%";
    bar.textVisible = true;
    QApplication::style()->drawControl( QStyle::CE_ProgressBar, &bar, painter, 0 );
}
